function [flights,slowed] = UTM_Ben_deconflict(flights_in,lanes,co_lanes,...
    H_X,cur_time)
% UTM_Ben_deconflict - real-time deconfliction
% On input:
%     flights_in (flight struct): flight info in
%     lanes (nx6 array): lane entry/exit 3D points
%     co_lanes ?
%     H_X (float): headway distance
%     cur_time(float): current time
% On output:
%     flights (flight struct): updated flight info
%     slowed (1xk vector): flight id's of slowed flights
% Call:
%     [flights,sl] = UTM_Ben_deconflict(flights,lanes,c_lanes,1,2.34);
% Author:
%     Ben / revised by TCH
%     UU
%     Summer 2020
%

UTM_load_vars;

flights = flights_in;
slowed = 0;

if isempty(flights)
    return
end

in_flights = UTM_in_flights(flights);
num_in_flights = length(in_flights);
done = 0;
while done==0
    done = 1;
    for ind1 = 1:num_in_flights-1
        f1 = in_flights(ind1);
        f1i = flights(f1).lane_index;
        for ind2 = ind1+1:num_in_flights
            f2 = in_flights(ind2);
            f2i = flights(f2).lane_index;
            if flights(f1).status==0&flights(f2).status==0
                [min_d,min_t] = UTM_2conflict(flights,lanes,f1,f2,...
                    f1i,f2i,cur_time);
                if min_d<d_S
                    done = 0;
                    [flights,slowed] = UTM_deconflict_pair(flights,f1,f2,...
                        f1i,f2i,lanes, cur_time);
                    [f1,f2,slowed];
                end
            end
            tch = 0;
        end
    end
end
