function UTM_draw_zipper(flights,lanes)
% UTM_raw_zipper - produce movie frame for simulation
% On input:
%     flights (flight struct): flight info
%     lanes (nx5 array_: lane entry/exit 3D points
% On output:
%     figure with flights
% Call:
%     UTM_draw_zipper(flights,lanes);
% Author:
%     T. Henderson
%     UU
%     Summer 2020
%

clf
hold on
num_lanes = length(lanes(:,1));
plot3(-1,-1,-1,'w.');
plot3(10.5,10.5,10.5,'w.');
plot3(max([lanes(:,1);lanes(:,4)]),max([lanes(:,2);lanes(:,5)]),...
    max([lanes(:,3);lanes(:,6)]),'w.');
for e = 1:num_lanes
    plot3([lanes(e,1),lanes(e,4)],[lanes(e,2),lanes(e,5)],...
        [lanes(e,3),lanes(e,6)],'b');
end
view(-65,7.6);
dists = UTM_zipper_dists(flights,lanes);
[rows,cols] = find(dists<1/2);

num_flights = length(flights);
 for f = 1:num_flights
     if flights(f).status==0 % in flight
         lane_index = flights(f).lane_index;
         lane = flights(f).traj(lane_index);
         dir = lanes(lane,4:6) - lanes(lane,1:3);
         dir = dir/norm(dir);
         loc = lanes(lane,1:3) + dir*flights(f).lane_dists(lane_index);
         if find(f==rows|f==cols)
             plot3(loc(1),loc(2),loc(3),'k*');
%             input('Restart?')
         else
             plot3(loc(1),loc(2),loc(3),'ro');
         end
%         if lane==1
%             text(loc(1)+.2,loc(2)+0.2,num2str(f));
%         elseif lane==2
%             text(loc(1)+0.2,loc(2)-0.2,num2str(f));
%         else
%             text(loc(1),loc(2)-0.2,num2str(f));
%         end
     end
 end
drawnow
