function min_val = UTM_min_dist(dists)
% UTM_min_dist - find minimum distance in dists
% On input:
%     dists (nxn array): distances between n things
% On output:
%     min_val (float): minimum distance in dists array
% Call: 
%     mv = UTM_min_dist(dists);
% Author:
%     T. Henderson
%     UU
%     Summer 2020
%

min_val = Inf;
if isempty(dists)
    return
end

[rows,cols] = find(dists>0);
for p = 1:length(rows)
    min_val = min(dists(rows(p),cols(p)),min_val);
end
